Summary: Program to merge tcpdump capture files.
Name: pcapmerge
Version: 1.0
Release: 1i
Copyright: GPL
Group: Applications/Internet
Source: http://indev.insu.com/sources/%{name}-%{version}.tar.gz
URL: http://indev.insu.com/pcapmerge/
BuildRoot: /var/tmp/%{name}-%{version}-root
BuildArchitectures: noarch
Requires: perl(Net::Pcap)

%description
pcapmerge can be used to extract part of a binary packet capture file
or merge several capture files. It is similar in scope to the
tcpslice(1) program.

%prep
%setup -q

%build
perl Makefile.PL
make

%install
rm -fr $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make 	PREFIX=$RPM_BUILD_ROOT/usr \
	INSTALLMAN1DIR=$RPM_BUILD_ROOT/usr/man/man1 \
   	INSTALLMAN3DIR=$RPM_BUILD_ROOT/`dirname $installarchlib`/man/man3 \
   	pure_install

# Fix packing list
for packlist in `find $RPM_BUILD_ROOT -name '.packlist'`; do
	mv $packlist $packlist.old
	sed -e "s|$RPM_BUILD_ROOT||g" < $packlist.old > $packlist
	rm -f $packlist.old
done

# Make a file list
find $RPM_BUILD_ROOT -type d -path '*/usr/lib/perl5/site_perl/5.005/*' \
    -not -path '*/auto' -not -path "*/*-linux" | \
    sed -e "s!$RPM_BUILD_ROOT!%dir !" > %{name}-file-list
    
find $RPM_BUILD_ROOT -type f -o -type l -not -name "perllocal.pod" | \
	sed -e "s|$RPM_BUILD_ROOT||" \
	    -e 's!\(.*/man/man|.*\.pod$\)!%doc \1!' >> %{name}-file-list

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}-file-list
%defattr(-,root,root)

%changelog
* Mon Jan 31 2000  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [1.0-1i]
- Packaged for iNs/linux.
